import React from 'react';
import { Text } from '.';
import { theme } from '../../styles/theme';

export default {
  title: 'Text',
  component: Text,
};

export const Default = () => <Text>Default Text</Text>;
export const Variants = () => {
  const allVariants = [];
  for (const variant in theme.texts) {
    allVariants.push(
      <div key={variant}>
        <Text variant={variant}>{variant}</Text>
      </div>
    );
  }
  return allVariants;
};
